import { readUsageFromReadme } from "./readUsageFromReadme.js";
async function readReadmeUsage(getEmoji, getReadme, getRepository) {
  return readUsageFromReadme(await getReadme()) ?? `\`\`\`shell
npm i ${await getRepository()}
\`\`\`
\`\`\`ts
import { greet } from "${await getRepository()}";

greet("Hello, world! ${await getEmoji()}");
\`\`\``;
}
export {
  readReadmeUsage
};
