import { TakeInput } from 'bingo';
import { GitUrl } from 'git-url-parse';
import { PackageAuthor } from './readPackageAuthor.js';
import '../types.js';

declare function readOwner(take: TakeInput, getGitDefaults: () => Promise<GitUrl | undefined>, getPackageAuthor: () => Promise<PackageAuthor>): Promise<string | undefined>;

export { readOwner };
